System Information

System Information collects and displays information about the configuration of your system. You can view information for the local computer or for a computer to which you are connected.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Display system data
  • Find system data
  • Save system data to a System Information file
  • Export system data to a text file
  • Open a System Information file
  • Run a system tool
  • Print system data


Display system data

Microsoft Windows graphic

To display system data

  1. Open System Information
  2. Double-click a category in the category tree, and then click an item to display its information in the details pane.

Note

  • XOX

Related Topics


Find system data

Microsoft Windows graphic

To find system data

  1. Open System Information
  2. In the Find what box at the bottom of the window, type the word or words that correspond to the system information for which you are searching.
  3. Select the appropriate search option:
    • To search only through a portion of the console tree, select the Search selected category only check box. This starts the search at the top of the currently selected category and searches all of its subcategories. To start the search at the root, clear this check box.
    • To search only the categories in the console tree for a match, ignoring any matches in the details pane, select the Search category names only check box. To search both the console tree and details pane, clear this check box.
    • To search all categories in both panes, clear both check boxes.
  4. Click Find.
  5. To search for the item again, click Find Next.

Notes

  • XOX
  • If the Find options do not appear at the bottom of the window, on the Edit menu, click Hide Find to clear the check mark and restore the options.

Related Topics


Save system data to a System Information file

Microsoft Windows graphic

To save system data to a System Information file

  1. Open System Information
  2. On the File menu, click Save.
  3. In Save in, click a file location.
  4. In File name, type the file name.
  5. In Save as type, click a file type.
  6. Click Save.

Notes

  • XOX
  • By default, system data is automatically saved in an .nfo file format that is compatible with the current version of System Information. You can also save data as a Version 5.0/6.0 System Information (.nfo) file, which is compatible with older versions of System Information.
  • System information is automatically refreshed before the file is saved.

Related Topics


Export system data to a text file

Microsoft Windows graphic

To export system data to a text file

  1. Open System Information.
  2. On the File menu, click Export.
  3. In Save in, click a file location.
  4. In File name, type the file name.
  5. Click Save.

Notes

  • XOX
  • System information is automatically refreshed before a file is saved.

Related Topics


Open a System Information file

Microsoft Windows graphic

To open a System Information file

  1. Open System Information.
  2. On the File menu, click Open.
  3. In Look in, click the file location.
  4. In Files of type, click the type of file that you want to open.
  5. Click the name of the file, or in File name type the name of the file, and then click Open.

Notes

  • XOX
  • Unless you click another type of file in Files of Type, the default file type is .nfo.

Related Topics


Run a system tool

Microsoft Windows graphic

To run a system tool

  1. Open System Information.
  2. On the Tools menu, click the tool that you want to run.

Notes

  • XOX
  • For more information about each tool, see Related Topics or click the Help button in the tool, if one is available.
  • Support technicians might ask you to run these tools when they troubleshoot your system.

Related Topics


Print system data

Microsoft Windows graphic

To print system data

  1. Open System Information.
  2. On the File menu, click Print.
  3. In Print range, specify the system data that you want to print:
    • Click All to print all of the system data.
    • Click Selection to print the currently selected category and all its subcategories.
    • Click Pages, and then specify the page numbers in from and to, to print a range of pages of the system data.

Notes

  • XOX
  • System information is automatically refreshed before each print job.
  • Print outputs from System Information, especially when you are exporting multiple categories to a print job, can be very large. You can use the msinfo32 command to limit the categories for which you export data. For more information, see Related Topics.

Related Topics


Concepts

This section provides general background information about System Information.

  • System Information overview
  • Understanding System Information
  • Administering System Information


System Information overview

System Information collects and displays system configuration information for local and remote computers. This includes information about hardware configurations, computer components, and software, including signed drivers and unsigned drivers. When support technicians troubleshoot your system configuration, they require specific information about your computer. You can use System Information to quickly find the information that these technicians need to resolve a system problem.

System Information saves data files in a native (.nfo) format. You can also open .cab and .xml files in System Information. When you open .cab files, you can view the contents of those files by using the Tools menu.


Understanding System Information

System Information is a support tool that you can use to quickly locate information about your computer and its operating system. The category tree in the left pane contains items in a folder view that is similar to Windows Explorer. The details pane on the right side of the window displays information about the items that you select in the category tree.

This section covers:

  • System Summary
  • Hardware Resources
  • Components
  • Software Environment


System Summary

System Summary is the first category in the System Information category tree. The details pane displays general information about your computer and its operating system. You can view information about the operating system name, version, manufacturer, and directory location. You can verify the version of the BIOS or EFI, the processor type, and memory information.

You can use System Summary to:

  • Check the BIOS or EFI version and date.
  • Determine the directory in which the operating system is installed.
  • Verify that new memory is installed correctly by checking Total Physical Memory and Available Physical Memory.
  • Check the Page File Space value if the computer is having memory problems. Page File Space is the physical space on the hard disk that the operating system uses to increase the apparent size of RAM.
  • Check your product activation status. If you have already activated the operating system, this information does not appear on the System Summary page. For more information about Windows Product Activation, see Windows XP Product Activation Overview.

For more information about updating your system BIOS or EFI, or about installing new memory, refer to your hardware manufacturer's documentation.


Hardware Resources

The Hardware Resources category in System Information displays information about resource assignments and possible sharing conflicts among DMA, Forced Hardware, I/O, IRQs, and Memory resources.

For more information about these items, see the following:

  • Conflicts/Sharing
  • DMA
  • Forced Hardware
  • I/O
  • IRQs
  • Memory


Conflicts/Sharing

Conflicts/Sharing is located in the Hardware Resources category in System Information. It displays devices that share the same resources, such as direct memory access (DMA), IRQs, and memory.

In general, shared resources are not problematic, but investigating potential conflicts can help resolve issues. If you are having a problem with a device, check Conflicts/Sharing to verify that there are no sharing conflicts. Locate the device in the Device column in the details pane, and then verify which resource the device uses in the Resource column. Devices that share the same resource have duplicate entries in the Resource column. For example, you may have two adapters that share the same IRQ channel, such as IRQ 5. If the problem device shares a resource with another device, there may be a conflict. You can use Device Manager to troubleshoot the problem. For more information about Device Manager, see Device Manager.

For more information about Hardware Resources, see Hardware Resources.


DMA

DMA is located in the Hardware Resources category in System Information. It displays information about your system's direct memory access (DMA). DMA transfers data between system memory and hardware devices without passing it through the CPU. The Resource column in the details pane displays the DMA channel that is being used by the device, which is listed in the Device column. The Status column displays the status of the device.

If the Status column indicates an error, such as Error, Degraded, Unknown, Pred Fail, Starting, Stopping, or Service, you can try the following troubleshooting solutions:

  • Use Device Manager to locate and troubleshoot the problem. For more information about Device Manager, see Device Manager.
  • Contact the device manufacturer to obtain an updated device driver.
  • Reconfigure the settings in the system BIOS or EFI.

For more information about the Hardware Resources folder, see Hardware Resources.


Forced Hardware

Forced Hardware is located in the Hardware Resources category in System Information. "Forced hardware" is any device that you have to configure manually or that has user-specified resources, as opposed to system-specified resources. The category "Forced hardware" also applies to devices that are not Plug and Play compatible, such as legacy Industry Standard Architecture (ISA) devices.

If there is a conflict with a manually configured hardware device, use Device Manager to locate and troubleshoot the problem. For more information about Device Manager, see Device Manager.

For more information about Hardware Resources, see Hardware Resources.


I/O

I/O is located in the Hardware Resources category in System Information. I/O is the communication channel among hardware devices in your computer. The Resource column in the details pane displays the resource that is used by an I/O device, which appears in the Device column. The Status column displays the status of the device.

If there is a sharing conflict with a device that uses an I/O channel, locate the device in Conflicts/Sharing or in I/O, and then use Device Manager to locate and troubleshoot the problem. For more information about Device Manager, see Device Manager.

For more information about Hardware Resources, see Hardware Resources.


IRQs

IRQs is located in the Hardware Resources category in System Information. It displays information about interrupt request (IRQ) channels on your system, and it indicates which devices are assigned to each channel. The operating system allows you to use only certain IRQs. Other IRQs are reserved for a standard set of devices.

If there is a sharing conflict with an IRQ, such as a mouse not responding, use Device Manager to locate and troubleshoot the problem. For more information about Device Manager, see Device Manager.

For more information about Hardware Resources, see Hardware Resources.


Memory

Memory is located in the Hardware Resources category in System Information. The Resource column in the details pane displays the memory address of the device that is listed in the Device column.

Memory address ranges are used for communication between devices and the operating system. Each device requires its own range of memory. If you are experiencing problems and two devices are configured to use the same memory address range, you can try the following troubleshooting solutions:

  • Use Device Manager to locate and troubleshoot the problem. For more information about Device Manager, see Device Manager.
  • Contact the device manufacturer to obtain an updated device driver.
  • Adjust the memory address ranges for COM ports in the system BIOS or EFI. Contact your hardware manufacturer for more information.

For more information about the Hardware Resources folder, see Hardware Resources.


Components

The Components category in System Information contains information about the following components in your system:

  • Multimedia
  • CD-ROM
  • Sound Device
  • Display
  • Infrared
  • Input
  • Modem
  • Network
  • Ports
  • Storage
  • Printing
  • Problem Devices
  • USB


Multimedia

Multimedia is located in the Components category in System Information. It contains two subcategories: Audio Codecs and Video Codecs. These subcategories contain information about audio and video codecs.

If you experience problems when playing back multimedia files or if there are errors in multimedia applications, such as Windows Media Player, you can check this Multimedia category to verify their settings.

For more information about Components, see Components.


CD-ROM

CD-ROM is located in the Components category in System Information. It contains information about the CD-ROM drive, including the drive letter assigned to it, the description, the manufacturer, and its status.

If you are experiencing problems when you play CDs, try cleaning the CD. If cleaning the CD does not fix the problem, you can use Device Manager to troubleshoot the problem. For more information about Device Manager, see Device Manager. Occasionally, the drive letter assigned to the CD-ROM device is reassigned. You can use Disk Manager to verify the drive letter assignments.

For more information about Components, see Components.


Sound Device

Sound Device is located in the Components category in System Information. It contains information about the sound devices on your system, including the name, manufacturer, and status of the sound device and driver details.

When you are troubleshooting problems with a sound device, verify that the hardware is properly connected and that the sound control is set correctly. You can also use Device Manager to verify that the sound device driver is signed. For more information about Device Manager, see Device Manager.

For more information about Components, see Components.


Display

Display is located in the Components category in System Information. It lists information about the display devices on your system. You can use this information to determine the manufacturer of the device and then contact the manufacturer for device updates. You can also verify the display resolution, which helps troubleshoot display problems.

To ensure that your hardware meets the minimum compatibility requirements, check the compatibility information on the Microsoft Web Site.(http://www.microsoft.com/). You should also use Device Manager to verify that your system is using signed drivers. For more information about Device Manager, see Device Manager.

For more information about Components, see Components.


Infrared

Infrared is located in the Components category in System Information. It contains information about infrared (IR) devices and ports on your system. These devices may not exist on all machines.

For more information about Components, see Components.


Input

Input is located in the Components category in System Information. It contains two subcategories: Keyboard and Pointing Device. These subcategories contain information about your keyboard, pointing device ("mouse"), and other input devices.

You can troubleshoot keyboard problems by clicking Keyboard in Printers and Other Hardware in Control Panel. You can troubleshoot pointing device problems by clicking Mouse in Printers and Other Hardware in Control Panel.

For more information about Components, see Components.

Caution

  • If you are troubleshooting an input device that is not a USB device, you must shut down the computer before you unplug or reconfigure the device. Refer to your hardware manufacturer's documentation for more information.


Modem

Modem is located in the Components category in System Information. It displays information about any telephone modems that are installed on your system.

For more information about Components, see Components.


Network

Network is located in the Components category in System Information. It contains three subcategories: Adapter, Protocol, and WinSock. These subcategories display information about the network adapters, protocols, and WinSock settings on your system. Support engineers and network administrators can use this information to verify network configurations.

You can also use the Network Diagnostics tool, which is available in Control Panel, to access information about your network settings. For more information about this tool, see Network Diagnostics.

For more information about Components, see Components.


Ports

Ports is located in the Components category in System Information. It contains two subcategories: Serial and Parallel. For both serial ports and parallel ports, the details pane displays such information as name, status, I/O port (the communication channel among hardware devices installed on your computer), IRQ channel, and driver.

For more information about Components, see Components.


Storage

Storage is located in the Components category in System Information. It contains four subcategories: Drives, Disks, SCSI, and IDE. Storage displays information about the drives, disks, SCSI controllers, and IDE controllers on your system.

Drives displays information for all the drives on your system, including information about the drive letter, file system, size, free space, volume name, and volume serial number. Disks displays information about your disk drive, including the manufacturer, model, size, number of partitions, and partition size. SCSI and IDE display information about each of the device controllers, including the name, manufacturer, status, IRQ channel, and driver.

For more information about Components, see Components.


Printing

Printing is located in the Components category in System Information. It displays information about printers that are installed on your system. The Name column in the details pane displays the name of the printer. The Port Name column displays the port to which the printer is attached. The Server Name column displays the name of the print server, if the printer is on a network.

If you have a printer problem, such as a lost printer connection, use Printers and Faxes to locate and troubleshoot the problem. For more information about the print jobs that are currently printing on your system, see Print Jobs.

For more information about Components, see Components.


Problem Devices

Problem Devices is located in the Components category in System Information. It displays information about devices that may have a problem, including the device ID and the error code.

Use Device Manager to locate and troubleshoot any device problems. For more information about Device Manager, see Device Manager.

For more information about Components, see Components.


USB

USB is located in the Components category in System Information. It displays information about universal serial bus (USB) devices and controllers on your computer. The Device column in the details pane lists each USB device, and the PNP Device ID column lists the ID for the device.

If there is a problem with a USB device, first try unplugging and plugging in the device. If that does not fix the problem, you can use Device Manager to locate and troubleshoot the problem. For more information about Device Manager, see Device Manager.

For more information about Components, see Components.


Software Environment

The Software Environment category in System Information contains information about your system configuration, including details about system drivers, environment variables, and current print jobs. In Software Environment, you can view information about the following items:

  • System Drivers
  • Signed Drivers
  • Environment Variables
  • Print Jobs
  • Network Connections
  • Running Tasks
  • Loaded Modules
  • Services
  • Program Groups
  • Startup Programs
  • OLE Registration
  • Windows Error Reporting


System Drivers

Drivers is located in the Software Environment category in System Information. It displays information about the system drivers that are installed on your system, including their name, description, type, state, and status. For example, you can check the State column in the details pane to see which drivers are running and which are stopped.

For more information about Software Environment, see Software Environment.


Signed Drivers

Signed Drivers is located in the Software Environment category in System Information. It displays information about the signed drivers that are installed on your system, including their name, description, type, state, and status.

To ensure that your hardware meets the minimum compatibility requirements, check the Compatibility Center in Help and Support Center. You should use Device Manager to verify that your system is using signed drivers. For more information about Device Manager, see Device Manager.

For more information about Software Environment, see Software Environment.


Environment Variables

Environment Variables is located in the Software Environment category in System Information. It displays your environment variables, which might contain information about your computer environment, including the number of processors, the operating system path, and the location of temporary folders.

For more information about Software Environment, see Software Environment.


Print Jobs

Print Jobs is located in the Software Environment category in System Information. It contains information about the current print jobs on your system, including the document name, size, owner, time submitted, and pages printed, along with other information. Only documents that are currently printing appear here. For more information about the printers that are installed on your system, see Printing.

For more information about Software Environment, see Software Environment.


Network Connections

Network Connections is located in the Software Environment category in System Information. It displays information about mapped drives, network connections, and other shared resources to which your computer is connected.

For more information about Software Environment, see Software Environment.


Running Tasks

Running Tasks is located in the Software Environment category in System Information. It displays information about processes that are currently running on your system, including the process name, path, and version and the priority that the system assigns to each process.

If there is a problem with a running task, such as a program not responding, use Task Manager to locate and troubleshoot the problem. You can use Task Manager to close a task, if necessary.

For more information about Software Environment, see Software Environment.


Loaded Modules

Loaded Modules is located in the Software Environment category in System Information. It displays information about programs that are running on your system, including their associated DLLs. You can use Loaded Modules to verify the version of a DLL on your system, in addition to its file date and path.

For more information about Software Environment, see Software Environment.


Services

Services is located in the Software Environment category in System Information. It displays information about the services that are running on your system.

You can use the Services snap-in to manage the services on your system. For more information about the Services snap-in, see Services.

For more information about Software Environment, see Software Environment.


Program Groups

Program Groups is located in the Software Environment category in System Information. It displays information about groups of programs on your system, including the group name, system path and name, and the user name assigned to the group. These programs appear on the Start menu.

You can manage program groups with Taskbar and Start Menu in Control Panel.

For more information about Software Environment, see Software Environment.


Startup Programs

Startup Programs is located in the Software Environment category in System Information. It displays information about programs that start automatically on your system, even if they are hidden.

You can manage program groups by using Taskbar and Start Menu in Control Panel.

For more information about Software Environment, see Software Environment.


OLE Registration

OLE Registration is located in the Software Environment category in System Information. It contains information about components and their servers that are registered as OLE programs.

For more information about Software Environment, see Software Environment.


Windows Error Reporting

Windows Error Reporting is located in the Software Environment category in System Information. It contains information about the faults that are generated in the Event Log, which you can view by using Event Viewer.

For more information about Software Environment, see Software Environment.


Administering System Information

This section covers:

  • Managing System Information from the command line


Managing System Information from the command line

In addition to the System Information support tool in Help and Support Center, you can use msinfo32 to view information about the computer that you are managing.

For information about other command-line utilities, see Command-line reference A-Z. For more information about manageability, see Management and Administration.